SystemOrganization addCategory: #'SCouchDB-Application-Evently-Tests-Functional'!

SCouchDBApp subclass: #Tutorial
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SCouchDB-Application-Evently-Tests-Functional'!

!Tutorial methodsFor: 'as yet unclassified' stamp: 'JesusMari 9/7/2012 00:05'!
initChoices

self evently at: 'choices' 
	onEvent:'_init'	
	mustache: '<p>You won a free topping!! what would you like it to be?</p>
<ul>
	<li><a href="#cheese">Cheese</a></li>
	<li><a href="#bacon">bacon</a></li>
	<li><a href="#chili">chili</a></li>
	<li><a href="#tomatoes">tomatoes</a></li>
</ul>'.

(self evently at: 'choices' 
	onEvent:'_init')
	selector:'a[href=#cheese]'
	onClick:'function(){
			$(this).trigger(''addTopping'',''cheese'');
			}';
	selector: 'a[href=#bacon]' 
	onClick:'function(){
			$(this).trigger(''addTopping'',''bacon'');
			}';			
	selector: 'a[href=#chili]' 
	onClick:'function(){
			$(this).trigger(''addTopping'',''chili'');
			}';				
	selector: 'a[href=#tomatoes]' 
	onClick:'function(){
			$(this).trigger(''addTopping'',''tomatoes'');
			}'.

			
		! !

!Tutorial methodsFor: 'as yet unclassified' stamp: 'JesusMari 9/7/2012 00:05'!
initExamples

(self evently at: 'examples' 
onEvent:'_init'
mustache:'<p>A feq examples that could inspire you:</p>
<ul>
{{#examples}}
	<li>{{value}}</li>
{{/examples}}
</ul>
'
data:'function (data){
return { examples: data.rows};
}
' ) query view:'toppings';limit: 2.
! !

!Tutorial methodsFor: 'as yet unclassified' stamp: 'JesusMari 9/7/2012 00:04'!
initItems

self evently at: 'items'
	onEvent:'_init'
	data:  'function(e){$$(this).toppings = [];}'
	mustache:'<p>Items served by evently<p>'.
	
self evently at: 'items' 
	onEvent:'topping'
	data:'function (e,topping){
	return {toppings : $$(this).toppings};}'
	mustache:'<p>Oh, you want on your pizza</p>
<ul>
{{#toppings}}
	<li>{{top}}</li>
{{/toppings}}
</ul>'.

self evently at: 'items'  
onEvent:'addTopping'
do:'function(e,topping){
	$$(this).toppings.push({"top":topping});
	$(this).trigger(''topping'');
}'
! !

!Tutorial methodsFor: 'as yet unclassified' stamp: 'JesusMari 6/18/2012 06:19'!
initViews
self addViewAt: 'toppings' put:[:doc|
	((doc at:'type' ifAbsent:[nil])= 'topping') ifTrue: [
			self emit:(doc at:'contents') key:nil.
		]
	] ! !

!Tutorial methodsFor: 'as yet unclassified' stamp: 'JesusMari 9/1/2012 22:45'!
initialize
super initialize.
self initItems.
self initExamples.
self initChoices.
self initViews.
self importAllAttachmentsFrom: 'D:\smalltalk\SCouchViewServer\Contents\Resources\tutorial\attachments\'.
"self importAllEventlyFilesFrom: 'D:\smalltalk\SCouchViewServer\Contents\Resources\tutorial\evently\'."
self connectTo:'localhost' port:5984 userName:'admin' password:'95t5boru'.
self upload.! !
